{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine record_lock\r\ndeclare function msg\r\n$insert logical\r\n$insert quote_equ\r\n$insert msg_equates\r\n$insert wo_log_equ\r\n$insert company_equ\r\n\r\nListId = 'WO_LOG_ID*':@station\r\nWoLogKey = xlate( 'SYSLISTS', ListId, 1, 'X' )\r\nif WoLogKey then\r\n    Selpos = .sched_info->selpos\r\n    Column = SelPos<1>\r\n    Row    = SelPos<2>\r\n    ColData = get_property( @window:'.SCHED_INFO', 'COLDATA' )\r\n    CustNo = xlate( 'WO_LOG', WoLogKey, wo_log_cust_no$, 'X' )\r\n    ValToRet = WoLogKey:' ':xlate( 'COMPANY', CustNo, 'ABBREV_OR_CO_NAME', 'X' )    \r\n    ColData<1,Row> = ValToRet\r\n    Void = set_property( @window:'.SCHED_INFO', 'COLDATA', ColData )\r\n    open 'SYSLISTS' to SysListsTable else\r\n        Void = msg( '', 'Unable to open SYSLISTS...' )\r\n        return 0\r\n    end\r\n    record_lock( SysListsTable, 'SysLists', ListId )\r\n    delete SysListsTable, ListId else\r\n        Void = msg( '', 'Unable to delete ':ListId:' from SYSLISTS...' )\r\n        return 0\r\n    end\r\n    unlock SysListsTable, ListId else\r\n        Void = msg( '', 'Unable to unlock SYSLISTS ':ListId )\r\n        return 0\r\n    end\r\nend\r\nRETURN 0"
        }
    }
}